#/bin/sh

. ./_clfsset.sh

APPNAME=e2fsprogs
VER=1.42.9
TARGET=$APPNAME-$VER
TARGETBALL=$DLD/$TARGET.tar.xz
TARGETDIR=$TARGET

cd $SRC

echo $TARGET

RemoveSrcDir
Extract
TimeStart

cd $TARGETDIR

mkdir build
cd build

echo Configuring...
PKG_CONFIG_PATH="${PKG_CONFIG_PATH32}" \
CC="gcc ${BUILD32}" \
../configure --prefix=/usr --with-root-prefix="" \
    --enable-elf-shlibs --disable-libblkid \
    --disable-libuuid --disable-fsck \
    --disable-uuidd \
	1> $LOG/$THISFILE.1_conf.log 2>&1 || exit 1

echo Making...
make libs \
	1> $LOG/$THISFILE.2_make.log 2>&1 || exit 1

echo Installing...
make install-libs \
	1> $LOG/$THISFILE.3_install.log 2>&1 || exit 1

TimeEnd

cd ../..
RemoveSrcDir

echo Done.
